PUT
/notebooks/{Notebook_Id}/mounted-sfs/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Notebook_Id}/mounted-sfs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "action": "mount", "sfs_ids": [ 200 ], "sfs_path": "/new"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Notebook_Id}/mounted-sfs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "action": "mount", "sfs_ids": [ 200, ], "sfs_path": "/new", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Notebook_Id}/mounted-sfs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "action": "mount", "sfs_ids": [ 200 ], "sfs_path": "/new" }),});console.log(await response.json());Kindly choose request example mount for mounting update and unmount for unmounting.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Notebook_Id
required
integer
Notebook ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Body
Section titled “Request Body”Media typeapplication/json
object
action
required
string
Example
mountsfs_ids
required
Array<integer>
Example
[ 200]sfs_path
required
string
Example
/newResponses
Section titled “Responses”Success
Media typeapplication/json
object
code
integer
data
object
errors
object
key
additional properties
string
message
string
Example
{ "code": 200, "data": {}, "message": "Success"}